6.0.0-git
2021-01-18

[#1357] imap tls auth, novalidate-cert
Summary imap tls auth, novalidate-cert
Queue Horde Base
Queue Version FRAMEWORK_3
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester daniele (at) retaggio (dot) net
Created 2005-02-11 (5820 days ago)
Due
Updated 2005-06-02 (5709 days ago)
Assigned
Resolved 2005-06-02 (5709 days ago)
Milestone
Patch No

History
2005-06-02 10:19:56 Matt Selsky Comment #8
State ⇒ Resolved
Reply to this comment
Default changed to 'imap/notls' for non-DSN configuration and 
tls/novalidate-cert options added in Horde 3.0.5 and CVS.
2005-06-02 09:48:46 Matt Selsky Comment #7 Reply to this comment
'imap', not 'imap/notls' is used by default.
2005-06-02 09:38:59 Jan Schneider Comment #6 Reply to this comment
That's what the /notls option is for that we use by default anyway.
2005-06-02 09:29:26 Matt Selsky Comment #5 Reply to this comment
It is necessary because if you don't specify either tls or ssl then 
c-client will try to use tls if available.  And if it encounters a 
self-signed cert it will complain unless novalidate-cert is set.


2005-06-02 09:23:24 Jan Schneider Comment #4 Reply to this comment
The first isn't necessary, because novalidate-cert only makes sense if 
you use either TLS or SSL, but the other two are fine. I still prefer 
a more flexible solution, but that's at least a step forward.
2005-06-02 09:01:12 Matt Selsky Comment #3
New Attachment: conf.patch Download
Reply to this comment
This seems sufficient to support the useful options.  OK?
2005-02-17 00:52:20 Jan Schneider Comment #2
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Reply to this comment
We should probably support all possible flags, selectable with checkboxes:

http://www.php.net/manual/en/function.imap-open.php
2005-02-11 15:42:10 daniele (at) retaggio (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ imap tls auth, novalidate-cert
Queue ⇒ Horde Base
Reply to this comment
in horde i can specify as protocol:

imap

imap/notls

imap/ssl

imap/ssl/novaliate-cert



but, i can not force:

imap/tls

imap/tls/novalidate-cert.



seems that just modifying conf.xml is fine.

Saved Queries